Get all Settlements
curl --request GET \
--url https://api.flutterwave.com/v3/settlements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flutterwave.com/v3/settlements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flutterwave.com/v3/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"meta": {
"page_info": {
"total": 43,
"current_page": 1,
"total_pages": 3,
"page_size": 20
}
},
"data": [
{
"id": 123,
"account_id": 123,
"merchant_name": "<string>",
"merchant_email": "<string>",
"settlement_account": "<string>",
"bank_code": "<string>",
"transaction_date": "<string>",
"due_date": "<string>",
"processed_date": "<string>",
"status": "<string>",
"is_local": true,
"currency": "<string>",
"gross_amount": 123,
"app_fee": 123,
"merchant_fee": 123,
"chargeback": 123,
"refund": 123,
"stampduty_charge": 123,
"net_amount": 123,
"transaction_count": 123,
"processor_ref": "<string>",
"disburse_ref": "<string>",
"disburse_message": "<string>",
"channel": "<string>",
"destination": "<string>",
"fx_data": "<string>",
"flag_message": "<string>",
"meta": [
123
],
"refund_meta": [
123
],
"chargeback_meta": [
"<string>"
],
"source_bankcode": "<string>",
"created_at": "<string>"
}
]
}Settlements
List settlement
GET
/
settlements
Get all Settlements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I